"use strict";

const { images_url } = require("../../../constants");
const WebPage = require("../../lib/web-page");
const GameStudioClub = require("./components/game-studio-club");
const Popularization = require("./components/popularization");

class EducationPage extends WebPage {

    render() {
        return {
            tag: "div",
            id: "education-page",
            contents: [
                {
                    tag: "div",
                    class: "page-header logo-left",
                    contents: [
                        {
                            tag: "div",
                            class: "page-contents-center grid-wrapper",
                            contents: [
                                {
                                    tag: "div",
                                    class: "logo",
                                    contents: [
                                        {
                                            tag: "img",
                                            alt: "image brain",
                                            src: `${images_url}brain.svg`,
                                        },
                                    ],
                                },
                                { tag: "h1", contents: "Pédagogie" },
                                {
                                    tag: "p",
                                    contents: `Animations autour de la création de jeux vidéos, vulgarisation numérique.`,
                                },
                            ],
                        },
                    ],
                },
                new GameStudioClub().render(),
                new Popularization().render(),
            ],
        };
    }
}

module.exports = EducationPage;
